# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/06_rich.ipynb.

# %% auto 0
__all__ = ['console', 'cprint', 'print_changes']

# %% ../nbs/06_rich.ipynb 3
from rich.table import Table
from rich.console import Console

# %% ../nbs/06_rich.ipynb 4
console = Console()

# %% ../nbs/06_rich.ipynb 5
# NOTE: utility function to print colored text
def cprint(style:str, text:str) -> None:
    console.print(f'[{style}]{text}[/{style}]')

def print_changes(added, removed, changed, remained):
    table = Table(title='Changes')
    table.add_column('Package', style='cyan')
    table.add_column('Old Version', style='magenta')
    table.add_column('New Version', style='green')
    table.add_column('Status', style='yellow')

    for dep in added:
        table.add_row(f':package: {dep.package}', '', dep.version, 'Added')
    for dep in removed:
        table.add_row(f':package: {dep.package}', dep.version, '', 'Removed')   
    for old, new in changed:
        table.add_row(f':package: {old.package}', old.version, new.version, 'Changed')
    for old, new in remained:
        table.add_row(f':package: {old.package}', old.version, new.version, 'Unchanged')
    console.print(table)
    # return table
